For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This page is for API, version 2026-01-01 (Stable) (default).
For other versions, use one of these documentation indexes:
- 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt
Returns a paginated list of contract summaries for the organization, with optional filtering by status, type, team, legal entity, country, currency, external ID, or a name search term. Use GET /contracts/{contract_id} to retrieve full details for a specific contract.
Token scopes: contracts:read
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
Return next page of results after the given cursor.
limitstringOptionalformat: "^[0-9]+$"Defaults to 50
Return a page of results with the given number of records.
order_directionenumOptional
Order direction of results; ascending or descending.
Allowed values:
typeslist of enumsOptional
Filter contracts by type. A contract is included in the results if its type is in this list.
statuseslist of enumsOptional
Filter contracts by current status. A contract is included in the results if its status is in this list.
team_idstring or list of stringsOptional
Filter contracts for the given team ID(s). A contract is included in the results if its team is in this list.
legal_entity_idstring or list of stringsOptional
Filter contracts for the given legal entity ID(s). A contract is included in the results if its legal entity is in this list.
external_idstringOptional
Filter contracts for the given external ID.
external_id_absentstringOptional
Filter contracts by external ID presence. When true, returns contracts without an external ID. When false, returns contracts with an external ID. Cannot be used with external_id query param when set to true.
countrieslist of stringsOptional
Filter contracts by country codes.
currencieslist of stringsOptional
Filter contracts by currency codes.
searchstringOptional
Include a contract if its name or the contractor's name contains the given search term.
sort_byenumOptional
Sort contracts by the given field name.
Allowed values:
expandlist of enumsOptional
Include additional fields in the response. Multiple values can be passed as comma-separated list.